# Method: accounts.list

- [HTTP request](https://developers.google.com/admob/api/reference/rest/v1beta/accounts/list#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/admob/api/reference/rest/v1beta/accounts/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/admob/api/reference/rest/v1beta/accounts/list#body.request_body)
- [Response body](https://developers.google.com/admob/api/reference/rest/v1beta/accounts/list#body.response_body)
  - [JSON representation](https://developers.google.com/admob/api/reference/rest/v1beta/accounts/list#body.ListPublisherAccountsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/admob/api/reference/rest/v1beta/accounts/list#body.aspect)
- [Examples](https://developers.google.com/admob/api/reference/rest/v1beta/accounts/list#examples)
- [Try it!](https://developers.google.com/admob/api/reference/rest/v1beta/accounts/list#try-it)

Lists the AdMob publisher account that was most recently signed in to from the AdMob UI. For more information, see <https://support.google.com/admob/answer/10243672>.

### HTTP request

`GET https://admob.googleapis.com/v1beta/accounts`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Maximum number of accounts to return. |
| `pageToken` | `string` The value returned by the last `ListPublisherAccountsResponse`; indicates that this is a continuation of a prior `accounts.list` call, and that the system should return the next page of data. |

### Request body

The request body must be empty.

### Response body

Response for the publisher account list request.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "account": [ { object (`https://developers.google.com/admob/api/reference/rest/v1beta/accounts#PublisherAccount`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `account[]` | ``object (`https://developers.google.com/admob/api/reference/rest/v1beta/accounts#PublisherAccount`)`` Publisher that the client credentials can access. |
| `nextPageToken` | `string` If not empty, indicates that there might be more accounts for the request; you must pass this value in a new `ListPublisherAccountsRequest`. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/admob.readonly`
- `
  https://www.googleapis.com/auth/admob.report`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).